SUBROUTINE Dump_Attributes(Ionogram)
!
! T. Bullett   CIRES    09Sep11
! gfortran
!
! Dump the NetCDF attributes in an Ionogram structure
! Version 1.2 of the RIQ format 
!
!
USE misc_utils
IMPLICIT NONE
INCLUDE 'sct.f90'
INCLUDE 'ionogram.f90'
!
!
TYPE(Ionogramtype):: Ionogram
!
WRITE(*,105) ""  
WRITE(*,105) "GLOBAL ATTRIBUTES"
WRITE(*,104) "format_version", TRIM(Ionogram%Format_Version)
WRITE(*,104) "id", TRIM(Ionogram%Identifier)
WRITE(*,104) "naming_authority", TRIM(Ionogram%NamingAuthority)
WRITE(*,104) "Metadata_Link", TRIM(Ionogram%MetadataLink)
WRITE(*,104) "title", TRIM(Ionogram%Title)
WRITE(*,104) "station", TRIM(Ionogram%Station)
WRITE(*,104) "instrument", TRIM(Ionogram%Instrument)
WRITE(*,104) "cdm_data_type", TRIM(Ionogram%CdmDataType)
WRITE(*,104) "processing_level", TRIM(Ionogram%ProcessingLevel)
WRITE(*,104) "experiment", TRIM(Ionogram%Experiment)
WRITE(*,104) "date_created", TRIM(Ionogram%DateCreated)
WRITE(*,104) "date_modified", TRIM(Ionogram%DateModified)
WRITE(*,104) "date_issued", TRIM(Ionogram%DateIssued)
WRITE(*,104) "time_coverage_start", TRIM(Ionogram%TimeCoverageStart)
WRITE(*,104) "time_coverage_end", TRIM(Ionogram%TimeCoverageEnd)
WRITE(*,104) "time_coverage_duration", TRIM(Ionogram%TimeCoverageDuration)
WRITE(*,104) "time_coverage_resolution", TRIM(Ionogram%TimeCoverageResolution)
WRITE(*,104) "geospatial_lat_min", TRIM(Ionogram%GeospatialLatMin)
WRITE(*,104) "geospatial_lat_max", TRIM(Ionogram%GeospatialLatMax)
WRITE(*,104) "geospatial_lat_units", TRIM(Ionogram%GeospatialLatUnits)
WRITE(*,104) "geospatial_lat_resolution", TRIM(Ionogram%GeospatialLatResolution)
WRITE(*,104) "geospatial_lon_min", TRIM(Ionogram%GeospatialLonMin)
WRITE(*,104) "geospatial_lon_max", TRIM(Ionogram%GeospatialLonMax)
WRITE(*,104) "geospatial_lon_units", TRIM(Ionogram%GeospatialLonUnits)
WRITE(*,104) "geospatial_lon_resolution", TRIM(Ionogram%GeospatialLonResolution)
WRITE(*,104) "geospatial_vertical_min", TRIM(Ionogram%GeospatialVerticalMin)
WRITE(*,104) "geospatial_vertical_max", TRIM(Ionogram%GeospatialVerticalMax)
WRITE(*,104) "geospatial_vertical_units", TRIM(Ionogram%GeospatialVerticalUnits)
WRITE(*,104) "geospatial_vertical_resolution", TRIM(Ionogram%GeospatialVerticalResolution)
WRITE(*,104) "geospatial_vertical_positive", TRIM(Ionogram%GeospatialVerticalPositive)
WRITE(*,104) "mode", TRIM(Ionogram%Mode)
WRITE(*,104) "magnetic_model", TRIM(Ionogram%MagneticModel)
WRITE(*,104) "creator_name", TRIM(Ionogram%CreatorName)
WRITE(*,104) "institution", TRIM(Ionogram%Institution)
WRITE(*,104) "creator_email", TRIM(Ionogram%CreatorEmail)
WRITE(*,104) "creator_url", TRIM(Ionogram%CreatorUrl)
WRITE(*,104) "publisher_name", TRIM(Ionogram%PublisherName)
WRITE(*,104) "publisher_email", TRIM(Ionogram%PublisherEmail)
WRITE(*,104) "publisher_url", TRIM(Ionogram%PublisherUrl)
WRITE(*,104) "license", TRIM(Ionogram%License)
WRITE(*,104) "project", TRIM(Ionogram%Project)
WRITE(*,104) "acknowledgment", TRIM(Ionogram%Acknowledgment)
WRITE(*,104) "contributor_name", TRIM(Ionogram%ContributorName)
WRITE(*,104) "contributor_role", TRIM(Ionogram%ContributorRole)
WRITE(*,104) "Conventions", TRIM(Ionogram%Conventions)
WRITE(*,104) "Metadata_Conventions", TRIM(Ionogram%MetadataConventions)
WRITE(*,104) "keywords", TRIM(Ionogram%Keywords)
WRITE(*,104) "keywords_vocabulary", TRIM(Ionogram%KeywordsVocabulary)
WRITE(*,104) "standard_name_vocabulary", TRIM(Ionogram%StandardNameVocabulary)
WRITE(*,104) "summary", TRIM(Ionogram%Summary)
WRITE(*,104) "comment", TRIM(Ionogram%Comment)
WRITE(*,104) "history", TRIM(Ionogram%History)


104 FORMAT ('#',1X,A,T35,A)
105 FORMAT ('#',1X,A)


END
