#!/bin/bash
#
# station_settings -- Exports station-dependent settings needed for the
#                     plotting scripts in the riq-ionogram package
# Terry Bullett
# University of Colorado
#
# Version 2.05  29Sep10
# useage:
# station_settings.sh URSICODE
#
# Requires:
#   nothing
#
#  Determine site and time variable items, especially rxmask
case $URSI in
   AA109)
      SMASK=$((2#11111111))
      Station="Addis Ababa"
      ;; 
   BD840)
      SMASK=$((2#11111111))
      STATION="Boulder"
      PWRMAX=80
      SNRMAX=40
      OXMAX=30
      ;;
   HAJ45)
      SMASK=$((2#11111111))
      STATION="Hanscom"
      ;;
   PM91J)
      SMASK=$((2#11111111))
      STATION="Puerto Maldonado"
      ;;
   PM91K)
      SMASK=$((2#00111111))
      STATION="Puerto Maldonado"
      ;;
   JM91J)
      SMASK=$((2#11111111))
      STATION="Jicamarca"
      ;;
   SJJ18)
      SMASK=$((2#11111111))
      STATION="San Juan"
      ;;
   TM840)
      SMASK=$((2#00000011))
      STATION="Table Mt"
      ;;
   WI937)
      SMASK=$((2#11111111))
      STATION="Wallops"
      ;;
    *)
      STATION="UNKNOWN"
      ;;
esac
